package com.kakao.network.tasks;

import com.bytedance.covode.number.Covode;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class KakaoTaskQueue extends AbstractTaskQueue {
    public static KakaoTaskQueue instance = new KakaoTaskQueue(Executors.newCachedThreadPool());

    public static KakaoTaskQueue getInstance() {
        return instance;
    }

    static {
        Covode.recordClassIndex(45916);
    }

    public KakaoTaskQueue(ExecutorService executorService) {
        super(executorService);
    }
}
